#pragma once

#include <glm/glm.hpp>
#include <vector>
#include <cstdint>
#include <iostream>

namespace kek {

struct Vertex {
	glm::vec3 pos;
	glm::vec3 normal;
	glm::vec2 texCoords;

	Vertex(glm::vec3 pos, glm::vec3 normal, glm::vec2 texCoords) {
		this->pos = pos;
		this->normal = normal;
		this->texCoords = texCoords;
	}
};

class Mesh {

public:
	std::vector<Vertex> vertices;
	std::vector<uint32_t> indices;

	Mesh(std::vector<Vertex> vertices, std::vector<uint32_t> indices) {
		this->vertices = vertices;
		this->indices = indices;
	}

	~Mesh();

};

}